Finish LQA Assessment
curl --request PUT \
--url https://cloud.memsource.com/web/api2/v1/lqa/assessments/{jobUid}/scorings \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"overallFeedback": "<string>"
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/lqa/assessments/{jobUid}/scorings"
payload = { "overallFeedback": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({overallFeedback: '<string>'})
};
fetch('https://cloud.memsource.com/web/api2/v1/lqa/assessments/{jobUid}/scorings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"issueCounts": {
"critical": 123,
"criticalRepeated": 123,
"major": 123,
"majorRepeated": 123,
"minor": 123,
"minorRepeated": 123,
"neutral": 123,
"neutralRepeated": 123
},
"jobPartUid": "<string>",
"overallFeedback": "<string>",
"score": 123
}Language Quality Assessment
Finish LQA Assessment
Finishing LQA Assessment will calculate score
PUT
/
api2
/
v1
/
lqa
/
assessments
/
{jobUid}
/
scorings
Finish LQA Assessment
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Body
application/json
Data for finishing LQA Assessment
Overall feedback from the LQA reviewer. If the assessment has already been finished before, null value means keep the previous feedback.
Was this page helpful?
⌘I